%define pname     bgprocess
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.1.0
Release:        4
Summary:        This is a process Plugin for the Video Disk Recorder (VDR)

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.reelbox.org/
Source0:        http://www.reelbox.org/software/vdr/vdr-bgprocess-0.1.0.tgz
Source200:      vdr-bgprocess.runvdr
Patch0:		vdr-bgprocess-i18n.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
This is a process Plugin for the Video Disk Recorder (VDR)

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
#sed -i -e s/#HAVE_MAGICK=1/HAVE_MAGICK=1/g Makefile
#sed -i -e s/#HAVE_FREETYPE\ =\ 1/HAVE_FREETYPE\ =\ 1/g Makefile
%patch0 -p1

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/bgprocess

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable bgprocess >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable bgprocess >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/bgprocess

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.0-4
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.0-3
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0-2
- rebuild against vdr-1.6.0-9
* Sat Nov 15 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0-1
- Initial release